%global RabbitMQVersion 38
Summary: Config to enable the repository for the Messaging SIG
Name:    centos-release-messaging
Version: 1
Release: 4%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Messaging
Source0: RPM-GPG-KEY-CentOS-SIG-Messaging
Source2: CentOS-Messaging-rabbitmq.repo

BuildArch: noarch

Requires: centos-release
%description
yum configs for repositories as delivered by CentOS Messaging SIG.


%package -n centos-release-rabbitmq-%{RabbitMQVersion}
Summary: Config to enable the repository for the Messaging SIG RabbitMQ Server

Requires: centos-release-messaging

%description -n centos-release-rabbitmq-%{RabbitMQVersion}
yum configs for the RabbitMQ Server as delivered by CentOS Messaging SIG.


%prep

%install
# gpg key
install -p -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg
# rabbitmq repo
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Messaging-rabbitmq.repo
sed -i -e "s/RABBITMQ_VERSION/%{RabbitMQVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Messaging-rabbitmq.repo

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Messaging

%files -n centos-release-rabbitmq-%{RabbitMQVersion}
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Messaging-rabbitmq.repo

%changelog
* Tue Apr 12 2022 Alfredo Moralejo <amoralej@redhat.com> - 1-4
- First release for CentOS Stream 9
- Removed repo for qpid-proton until it is available in CentOS mirrors

* Tue Feb 01 2022 Alfredo Moralejo <amoralej@redhat.com> - 1-3
- Move to CentOs Stream 8

* Tue Apr 07 2020 Matthias Runge <mrunge@redhat.com> - 1.2
- add qpid-proton subpackage
- move gpg key to common

* Thu Apr 02 2020 Alfredo Moralejo <amoralej@redhat.com> - 1.1
- Initial release for RabbitMQ Server 3.8
